Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration.reloading
Interface ReloadingStrategy

All Known Implementing Classes:
  FileChangedReloadingStrategy, InvariantReloadingStrategy

    public interface ReloadingStrategy

A strategy to decide if a configuration should be reloaded.

Since:
  1.1
Version:
  $Revision: 439648 $, $Date: 2006-09-02 22:42:10 +0200 (Sa, 02 Sep 2006) $
Author:
  Emmanuel Bourg, Olivier Heger

Method Summary
`void` | `init()` Initialize the strategy.
`void` | `reloadingPerformed()` Notify the strategy that the file has been reloaded.
`boolean` | `reloadingRequired()` Tell if the evaluation of the strategy requires to reload the configuration.
`void` | `setConfiguration(FileConfiguration configuration)` Set the configuration managed by this strategy.

Method Detail

### setConfiguration

    void setConfiguration(FileConfiguration configuration)

  Set the configuration managed by this strategy.

  Parameters:
    `configuration` - the configuration to monitor

### init

    void init()

  Initialize the strategy.

### reloadingRequired

    boolean reloadingRequired()

  Tell if the evaluation of the strategy requires to reload the configuration.

  Returns:
    a flag whether a reload should be performed

### reloadingPerformed

    void reloadingPerformed()

  Notify the strategy that the file has been reloaded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.